org.richfaces.ui.input.inputNumberSlider

## Enum UIInputNumberSlider.Properties

- java.lang.Object
- - java.lang.Enum<UIInputNumberSlider.Properties>
  - - org.richfaces.ui.input.inputNumberSlider.UIInputNumberSlider.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIInputNumberSlider.Properties>
  Enclosing class:
    UIInputNumberSlider

      protected static enum UIInputNumberSlider.Properties
      extends Enum<UIInputNumberSlider.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `binding`
    `decreaseClass`
    `decreaseSelectedClass`
    `delay`
    `dir`
    `disabled`
    `enableManualInput`
    `handleClass`
    `handleSelectedClass`
    `handleType`
    `id`
    `increaseClass`
    `increaseSelectedClass`
    `inputClass`
    `inputPosition`
    `inputSize`
    `label`
    `lang`
    `maxlength`
    `maxValue`
    `minValue`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `rendered`
    `showArrows`
    `showBoundaryValues`
    `showInput`
    `showTooltip`
    `step`
    `style`
    `styleClass`
    `tabindex`
    `title`
    `tooltipClass`
    `trackClass`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIInputNumberSlider.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIInputNumberSlider.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final UIInputNumberSlider.Properties accesskey

    - #### binding

          public static final UIInputNumberSlider.Properties binding

    - #### decreaseClass

          public static final UIInputNumberSlider.Properties decreaseClass

    - #### decreaseSelectedClass

          public static final UIInputNumberSlider.Properties decreaseSelectedClass

    - #### delay

          public static final UIInputNumberSlider.Properties delay

    - #### dir

          public static final UIInputNumberSlider.Properties dir

    - #### disabled

          public static final UIInputNumberSlider.Properties disabled

    - #### enableManualInput

          public static final UIInputNumberSlider.Properties enableManualInput

    - #### handleClass

          public static final UIInputNumberSlider.Properties handleClass

    - #### handleSelectedClass

          public static final UIInputNumberSlider.Properties handleSelectedClass

    - #### handleType

          public static final UIInputNumberSlider.Properties handleType

    - #### id

          public static final UIInputNumberSlider.Properties id

    - #### increaseClass

          public static final UIInputNumberSlider.Properties increaseClass

    - #### increaseSelectedClass

          public static final UIInputNumberSlider.Properties increaseSelectedClass

    - #### inputClass

          public static final UIInputNumberSlider.Properties inputClass

    - #### inputPosition

          public static final UIInputNumberSlider.Properties inputPosition

    - #### inputSize

          public static final UIInputNumberSlider.Properties inputSize

    - #### label

          public static final UIInputNumberSlider.Properties label

    - #### lang

          public static final UIInputNumberSlider.Properties lang

    - #### maxValue

          public static final UIInputNumberSlider.Properties maxValue

    - #### maxlength

          public static final UIInputNumberSlider.Properties maxlength

    - #### minValue

          public static final UIInputNumberSlider.Properties minValue

    - #### onblur

          public static final UIInputNumberSlider.Properties onblur

    - #### onchange

          public static final UIInputNumberSlider.Properties onchange

    - #### onclick

          public static final UIInputNumberSlider.Properties onclick

    - #### ondblclick

          public static final UIInputNumberSlider.Properties ondblclick

    - #### onfocus

          public static final UIInputNumberSlider.Properties onfocus

    - #### onkeydown

          public static final UIInputNumberSlider.Properties onkeydown

    - #### onkeypress

          public static final UIInputNumberSlider.Properties onkeypress

    - #### onkeyup

          public static final UIInputNumberSlider.Properties onkeyup

    - #### onmousedown

          public static final UIInputNumberSlider.Properties onmousedown

    - #### onmousemove

          public static final UIInputNumberSlider.Properties onmousemove

    - #### onmouseout

          public static final UIInputNumberSlider.Properties onmouseout

    - #### onmouseover

          public static final UIInputNumberSlider.Properties onmouseover

    - #### onmouseup

          public static final UIInputNumberSlider.Properties onmouseup

    - #### onselect

          public static final UIInputNumberSlider.Properties onselect

    - #### readonly

          public static final UIInputNumberSlider.Properties readonly

    - #### rendered

          public static final UIInputNumberSlider.Properties rendered

    - #### showArrows

          public static final UIInputNumberSlider.Properties showArrows

    - #### showBoundaryValues

          public static final UIInputNumberSlider.Properties showBoundaryValues

    - #### showInput

          public static final UIInputNumberSlider.Properties showInput

    - #### showTooltip

          public static final UIInputNumberSlider.Properties showTooltip

    - #### step

          public static final UIInputNumberSlider.Properties step

    - #### style

          public static final UIInputNumberSlider.Properties style

    - #### styleClass

          public static final UIInputNumberSlider.Properties styleClass

    - #### tabindex

          public static final UIInputNumberSlider.Properties tabindex

    - #### title

          public static final UIInputNumberSlider.Properties title

    - #### tooltipClass

          public static final UIInputNumberSlider.Properties tooltipClass

    - #### trackClass

          public static final UIInputNumberSlider.Properties trackClass

  - ### Method Detail

    - #### values

          public static UIInputNumberSlider.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIInputNumberSlider.Properties c : UIInputNumberSlider.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIInputNumberSlider.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.